%global srcname multi_key_dict
%global sum Multi-key dictionary implementation in Python
%global commit 540e913b714187101d7a142eadc108c48ccbd8e1
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-%{srcname}
Version:        2.0.3
Release:        1%{?dist}
Summary:        %{sum}

Group:          Development/Libraries
License:        MIT
URL:            https://github.com/formiaczek/%{srcname}
Source0:        https://github.com/formiaczek/%{srcname}/archive/%{commit}.tar.gz#/%{name}-%{shortcommit}.tar.gz

BuildArch:      noarch

%description
Implementation of a multi-key dictionary, i.e.:

(key1[,key2, ..]) => value

This dictionary has a similar interface to the standard dictionary => but
is extended to support multiple keys referring to the same element.

%package -n python2-%{srcname}
Summary:        %{sum}
BuildRequires:  python2-devel
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Implementation of a multi-key dictionary, i.e.:

(key1[,key2, ..]) => value

This dictionary has a similar interface to the standard dictionary => but
is extended to support multiple keys referring to the same element.

%package -n python3-%{srcname}
Summary:        %{sum}
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Implementation of a multi-key dictionary, i.e.:

(key1[,key2, ..]) => value

This dictionary has a similar interface to the standard dictionary => but
is extended to support multiple keys referring to the same element.

%prep
%autosetup -n %{srcname}-%{commit}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} %{buildroot}%{python2_sitelib}/%{srcname}.py
%{__python3} %{buildroot}%{python3_sitelib}/%{srcname}.py

%files -n python2-%{srcname}
%doc README.txt
%license LICENSE
%{python2_sitelib}/%{srcname}.py
%{python2_sitelib}/%{srcname}.py[co]
%{python2_sitelib}/%{srcname}-%{version}-py?.?.egg-info

%files -n python3-%{srcname}
%doc README.txt
%license LICENSE
%{python3_sitelib}/__pycache__/%{srcname}*
%{python3_sitelib}/%{srcname}.py
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info

%changelog
* Fri Apr 08 2016 Scott K Logan <logans@cottsay.net> - 2.0.3-1
- Initial package
